# Developer mode

## Enabling developer mode

Developer mode is disabled by default on the SDK instance. There are two ways to enabling/disabling developer mode. Through the SDK constructor:

```
// Create new instance with developer mode enabled
var appmixer = new Appmixer({
    devMode: true
})
```

Or using the SDK instance set method:

```
// Enable developer mode at runtime
appmixer.set('devMode', true)
```

Using the setter allows you to enable/disable developer mode dynamically.

## Developer mode tools

Currently developer mode expose a show/hide logs button on the Designer UI:

![Logs panel on Designer UI](/files/-MFay_G2oSAfFsLGCZq_)

This log panel allows you to inspect the messages of your running flow in real time, without needing to navigate away from the Designer UI. This is very useful when you are creating your flow and you want to make sure everything is working as expected. Moreover, you can get details from each message by clicking on it:

![Log detail modal](/files/-MFazIUoSd--2PU5HzlU)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4/appmixer-sdk/developer-mode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
